Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.dialogs
Interface IMessageProvider

All Known Implementing Classes:
  DialogPage

public interface IMessageProvider

Minimal interface to a message provider. Used for dialog pages which can provide a message with an icon.

Since:
  2.0

Field Summary
`static int` | `ERROR` Constant for an error message (value 3).
`static int` | `INFORMATION` Constant for an info message (value 1).
`static int` | `NONE` Constant for a regular message (value 0).
`static int` | `WARNING` Constant for a warning message (value 2).

Method Summary
`String` | `getMessage()` Returns the current message for this message provider.
`int` | `getMessageType()` Returns a value indicating if the message is a an information message, a warning message, or an error message.

Field Detail

### NONE

    public static final int NONE

  Constant for a regular message (value 0).

  Typically this indicates that the message should be shown without an icon.

  See Also:
    Constant Field Values

### INFORMATION

    public static final int INFORMATION

  Constant for an info message (value 1).

  See Also:
    Constant Field Values

### WARNING

    public static final int WARNING

  Constant for a warning message (value 2).

  See Also:
    Constant Field Values

### ERROR

    public static final int ERROR

  Constant for an error message (value 3).

  See Also:
    Constant Field Values

Method Detail

### getMessage

    public String getMessage()

  Returns the current message for this message provider.

  A message provides instruction or information to the user.

  Returns:
    the message, or `null` if none

### getMessageType

    public int getMessageType()

  Returns a value indicating if the message is a an information message, a warning message, or an error message.

  Returns one of `NONE`,`INFORMATION`, `WARNING`, or `ERROR`.

  Returns:
    the message type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.